CREATE TABLE imjob_monitor_bk (
    tenant_id VARCHAR(100) NOT NULL,
    id VARCHAR(200) NOT NULL,
    jobnet_id VARCHAR(200) NOT NULL,
    trigger_id VARCHAR(200) NOT NULL,
    status VARCHAR(24) NOT NULL,
    start_date_time DECIMAL(13,0) NOT NULL,
    end_date_time DECIMAL(13,0),
    message NVARCHAR(1000),
    create_user_cd VARCHAR(100) NOT NULL,
    create_date DATETIME2 NOT NULL,
    record_user_cd VARCHAR(100) NOT NULL,
    record_date DATETIME2 NOT NULL,
    PRIMARY KEY (tenant_id, id)
);

INSERT INTO imjob_monitor_bk SELECT * FROM imjob_monitor;

DROP TABLE imjob_monitor;

CREATE TABLE imjob_monitor (
    tenant_id NVARCHAR(100) NOT NULL,
    id NVARCHAR(200) NOT NULL,
    jobnet_id NVARCHAR(200) NOT NULL,
    trigger_id NVARCHAR(200) NOT NULL,
    status NVARCHAR(24) NOT NULL,
    start_date_time DECIMAL(13,0) NOT NULL,
    end_date_time DECIMAL(13,0),
    message NVARCHAR(1000),
    create_user_cd NVARCHAR(100) NOT NULL,
    create_date DATETIME2 NOT NULL,
    record_user_cd NVARCHAR(100) NOT NULL,
    record_date DATETIME2 NOT NULL,
    PRIMARY KEY (tenant_id, id)
);

INSERT INTO imjob_monitor SELECT * FROM imjob_monitor_bk;

DROP TABLE imjob_monitor_bk;



CREATE TABLE imjob_monitor_task_bk (
    tenant_id VARCHAR(100) NOT NULL,
    monitor_id VARCHAR(200) NOT NULL,
    task_id VARCHAR(200) NOT NULL,
    job_id VARCHAR(200) NOT NULL,
    status VARCHAR(24),
    start_date_time DECIMAL(13,0) NOT NULL,
    end_date_time DECIMAL(13,0),
    message NVARCHAR(1000),
    create_user_cd VARCHAR(100) NOT NULL,
    create_date DATETIME2 NOT NULL,
    record_user_cd VARCHAR(100) NOT NULL,
    record_date DATETIME2 NOT NULL,
    PRIMARY KEY (tenant_id, monitor_id, task_id)
);

INSERT INTO imjob_monitor_task_bk SELECT * FROM imjob_monitor_task;

DROP TABLE imjob_monitor_task;

CREATE TABLE imjob_monitor_task (
    tenant_id NVARCHAR(100) NOT NULL,
    monitor_id NVARCHAR(200) NOT NULL,
    task_id NVARCHAR(50) NOT NULL,
    job_id NVARCHAR(200) NOT NULL,
    status NVARCHAR(24),
    start_date_time DECIMAL(13,0) NOT NULL,
    end_date_time DECIMAL(13,0),
    message NVARCHAR(1000),
    create_user_cd NVARCHAR(100) NOT NULL,
    create_date DATETIME2 NOT NULL,
    record_user_cd NVARCHAR(100) NOT NULL,
    record_date DATETIME2 NOT NULL,
    PRIMARY KEY (tenant_id, monitor_id, task_id)
);

INSERT INTO imjob_monitor_task SELECT * FROM imjob_monitor_task_bk;

DROP TABLE imjob_monitor_task_bk;